<?php
/* ========================================================== */
/* Páginas */
/* ========================================================== */
/* ESG (Hub) */
$config = array(
  'title' => 'ESG',
  'file' => 'front-page.php',
  'remove_supports' => ['editor']
);
o2_metabox($config, function () {
  o2_tab(function () {
    o2_tab_create('Seção Inicial', function () {
      o2_svg_form('Logo da ESG:', 'logo-esg');
      o2_image_form('Imagem de fundo:', 'imagem-fundo-esg');
      o2_note('Tamanho mínimo recomendado: 1366x638px');
    });
    o2_tab_create('Seção Redução dos impactos ambientais', function () {
      o2_text_form('Título da seção', 'titulo-redacao');
      o2_textarea_form('Texto da seção', 'texto-redacao');
      o2_textarea_form('Texto em destaque da seção', 'texto-destaque-redacao');
      o2_image_form('Imagem da seção', 'imagem-reducao');
      o2_note('Tamanho mínimo recomendado: 889x823px');
    });
    o2_tab_create('Seção ESG', function () {
      o2_textarea_form('Texto Environmental', 'texto-environmental');
      o2_textarea_form('Texto Social', 'texto-social');
      o2_textarea_form('Texto Governance', 'texto-governance');
    });
    o2_tab_create('Seção Slider', function () {
      o2_repeat('Itens do slider:', 'slider-esg', 1, function () {
        o2_text_form('Tìtulo:', 'titulo');
        o2_text_form('URL', 'url');
        o2_image_form('Imagem:', 'imagem');
        o2_note('Tamanho mínimo recomendado: 368x353px');
      });
    });
  });
});

/* Ambiental */
$config = array(
  'title' => 'Ambiental',
  'file' => 'page-ambiental.php',
  'remove_supports' => ['editor']
);
o2_metabox($config, function () {
  o2_tab(function () {
    o2_tab_create('Banner', function () {
      o2_image_form('Imagem de fundo do banner:', 'imagem-banner');
      o2_note('Tamanho mínimo recomendado: 1366x418px');
    });
    o2_tab_create('Ações Eko', function () {
      o2_text_form('Título:', 'titulo');
      o2_text_form('Nome do Filter:', 'filtro_acao');
      o2_textarea_form('Texto inicial:', 'texto-inicial');
      o2_image_form('Imagem Triângulo', 'imagem-triangulo');
      o2_repeat_accordion('Itens do slider com ícones', 'slider-icones', 1, function () {
        o2_repeat_set_label('titulo', 'text');
        o2_text_form('Título do item:', 'titulo');
        o2_svg_form('Ícone do item:', 'icone');
      });
      echo '<hr>';
      o2_textarea_form('Texto final:', 'texto-final');
      o2_image_form('Imagem final:', 'imagem-final');
    });
    o2_tab_create('Metas', function () {
      echo '<h2>Netzero</h2>';
      o2_text_form('Nome do Filter:', 'filtro_meta');
      o2_image_form('Logo do Netzero:', 'logo-netzero');
      o2_image_form('Imagem do triângulo:', 'imagem-triangulo-netzero');
      o2_textarea_form('Paragráfo 1:', 'paragrafo');
      o2_textarea_form('Paragráfo 2:', 'paragrafo2');
      o2_textarea_form('Paragráfo 3:', 'paragrafo3');
      echo '<hr>';
      o2_text_form('Filtro Metas de Descarbonização:', 'filtro_descarbonizacao');
      echo '<h2>Pioneirismo, precisão e transparência</h2>';
      o2_repeat_accordion('Abas da seção de pioneirismo', 'abas', 1, function() {
        o2_repeat_set_label('nome', 'text');
        o2_text_form('Título da aba:', 'nome');
        o2_editorwp_form('Conteúdo da aba', 'conteudo');
      });
    });
  });
});

/* Social */
$config = array(
  'title' => 'Social',
  'file' => 'page-social.php',
  'remove_supports' => ['editor']
);
o2_metabox($config, function () {
  o2_tab(function () {
    o2_tab_create('Banner', function () {
      o2_image_form('Imagem de fundo do banner:', 'imagem-banner');
      o2_note('Tamanho mínimo recomendado: 1366x418px');
    });
    o2_tab_create('Programas Sociais', function () {
      o2_text_form('Título da seção:', 'titulo-programas-sociais');
      o2_text_form('Nome do Filter:', 'filtro-programas-sociais');
      o2_textarea_form('Texto da seção:', 'texto-programas-sociais');
      o2_image_form('Imagem ao lado do texto:', 'imagem-programas-sociais');
      o2_note('Tamanho mínimo recomendado: 777x635px');
      o2_image_form('Imagem do lado do Card', 'imagem-card-programas-sociais');
      o2_note('Tamanho mínimo recomendado: 760x737px');
    });
    o2_tab_create('Instituto Melo Cordeiro', function () {
      o2_text_form('Título da seção:', 'titulo-melo-cordeiro');
      o2_text_form('Nome do Filter:', 'filtro-cordeiro');
      o2_image_form('Imagem da seção:', 'imagem-melo-cordeiro');
      o2_note('Tamanho mínimo recomendado: 657x566px');
      o2_textarea_form('Paragráfo 1:', 'paragrafo');
      o2_textarea_form('Paragráfo 2:', 'paragrafo2');
      o2_textarea_form('Paragráfo 3:', 'paragrafo3');
      echo '<hr class="my-4">';
      o2_editor_form('Texto pós imagem', 'texto-pos-imagem');
    });
    o2_tab_create('Projeto E-duka', function () {
      o2_text_form('Título da seção:', 'titulo-eduka');
      o2_text_form('Nome do Filter:', 'filtro-eduka');
      o2_repeat('Textos da seção:', 'textos-eduka', 1, function () {
        o2_textarea_form('Texto:', 'texto');
      });
      o2_editor_form('Texto do card', 'texto-card-eduka');
      o2_image_form('Imagem do card', 'imagem-card-eduka');
    });
    o2_tab_create('Projeto Costura Criativa', function () {
      o2_text_form('Título da seção:', 'titulo-costura-criativa');
      o2_text_form('Nome do Filter:', 'filtro-costura-criativa');
      o2_repeat('Textos da seção:', 'textos-costura-criativa', 1, function () {
        o2_textarea_form('Texto:', 'texto');
      });
      o2_editor_form('Texto do card', 'texto-card-costura-criativa');
      o2_image_form('Imagem do card', 'imagem-card-costura-criativa');
    });

    o2_tab_create('Projeto Jovens de Ouro', function () {
      o2_text_form('Título da seção:', 'titulo-jovens-de-ouro');
      o2_text_form('Nome do Filter:', 'filtro-jovens-de-ouro');
      
      o2_editor_form('Texto da seção', 'texto-jovens-de-ouro');
      o2_image_form('Imagem do card', 'imagem-jovens-de-ouro');
    });

    o2_tab_create('Projeto Campanha do Agasalho', function () {
      o2_text_form('Título da seção:', 'titulo-campanha-agasalho');
      o2_text_form('Nome do Filter:', 'filtro-campanha-agasalho');
      
      o2_editor_form('Texto da seção', 'texto-campanha-agasalho');
      o2_image_form('Imagem do card', 'imagem-campanha-agasalho');
    });

    o2_tab_create('Turma do Jiló', function () {
      o2_text_form('Título da seção:', 'titulo-turma-jilo');
      o2_text_form('Nome do Filter:', 'filtro-turma-jilo');
      o2_textarea_form('Título da seção:', 'texto-turma-jilo');
      echo '<hr class="my-4">';
      o2_text_form('Título da seção de volumes:', 'titulo-volumes-turma-jilo');
      o2_repeat_accordion('Volumes', 'volumes', 1, function () {
        o2_repeat_set_label('volume', 'text');
        o2_text_form('Volume:', 'volume');
        o2_text_form('Descrição do volume:', 'descricao');
        o2_image_form('Imagem do volume:', 'imagem');
        o2_file_form('Arquivo do volume:', 'arquivo');
        o2_note('Tamanho mínimo recomendado: 194x185px');
      });
      echo '<hr class="my-4">';
      o2_editor_form('Texto da seção da imagem:', 'texto-imagem-turma-jilo');
      o2_image_form('Imagem da seção da imagem:', 'imagem-turma-jilo');
      o2_note('Tamanho mínimo recomendado: 890x863px');
    });
  });
});

/* Governança */
$config = array(
  'title' => 'Governança',
  'file' => 'page-governanca.php',
  'remove_supports' => ['editor']
);
o2_metabox($config, function () {
  o2_tab(function () {
    o2_tab_create('Banner', function () {
      o2_image_form('Imagem de fundo do banner:', 'imagem-banner');
      o2_note('Tamanho mínimo recomendado: 1366x418px');
    });
    o2_tab_create('Compliance', function () {
      o2_text_form('Título da seção:', 'titulo-compliance');
      o2_text_form('Nome do Filter:', 'filtro-compliance');
      o2_editor_form('Texto da seção:', 'texto-compliance');
      o2_image_form('Imagem da seção:', 'imagem-compliance');
      o2_note('Tamanho mínimo recomendado: 459x459px (largura/altura).');
    });
    o2_tab_create('Canal de Denúncia', function () {
      o2_text_form('Título da seção:', 'titulo-canal-denuncia');
      o2_text_form('Nome do Filter:', 'filtro-denuncia');
      o2_editor_form('Texto da seção:', 'texto-canal-denuncia');
      o2_image_form('Imagem da seção:', 'imagem-canal-denuncia');
      o2_note('Tamanho mínimo recomendado: 437x586px (largura/altura).');
      o2_link_form('Botão da seção:', 'botao-canal-denuncia');
      o2_note('Para ocultar o botão deixar o campo "URL" vazio.');
    });
    o2_tab_create('Missão do Compliance', function () {
      o2_text_form('Título da seção:', 'titulo-missao-compliance');
      o2_text_form('Nome do Filter:', 'filtro-missao-compliance');
      o2_editor_form('Texto da seção:', 'texto-missao-compliance');
      o2_image_form('Imagem da seção:', 'imagem-missao-compliance');
      o2_svg_form('Ícone da seção:', 'icone-missao-compliance');
      o2_editor_form('Texto da seção do ícone:', 'texto-icone-missao-compliance');
    });
    o2_tab_create('Organograma Karina', function () {
      o2_text_form('Título da seção:', 'titulo-organograma-karina');
      o2_text_form('Nome do Filter:', 'filtro-orgonograma');
      o2_image_form('Imagem da seção:', 'imagem-organograma-karina');
      o2_note('Tamanho mínimo recomendado: 924x288px (largura/altura).');
    });
    o2_tab_create('Políticas', function () {
      o2_text_form('Título da seção:', 'titulo-politicas');
      o2_text_form('Nome do Filter:', 'filtro-politicas');
      o2_textarea_form('Texto da seção:', 'texto-politicas');
      o2_repeat_accordion('Políticas', 'politicas', 1, function () {
        o2_repeat_set_label('nome', 'text');
        o2_text_form('Nome da política:', 'nome');
        o2_textarea_form('Descrição da política:', 'descricao');
        o2_file_form('Arquivo da política:', 'arquivo');
      });
    });
    o2_tab_create('Código de Conduta e Ética', function () {
      o2_text_form('Título da seção:', 'titulo-conduta-etica');
      o2_text_form('Nome do Filter:', 'filtro-codigo-conduta');
      o2_editor_form('Texto da seção:', 'texto-conduta-etica');
      o2_image_form('Imagem da seção:', 'imagem-conduta-etica');
      o2_note('Tamanho mínimo recomendado: 459x459px (largura/altura).');
      o2_link_form('Botão da seção:', 'botao-conduta-etica');
      o2_note('Para ocultar o botão deixar o campo "URL" vazio.');
    });
    o2_tab_create('Comitês', function () {
      o2_text_form('Título da seção:', 'titulo-comites');
      o2_text_form('Nome do Filter:', 'filtro-comites');
      o2_repeat_accordion('Comitês', 'comites', 1, function () {
        o2_repeat_set_label('nome', 'text');
        o2_svg_form('Ícone do comitê:', 'icone');
        o2_text_form('Nome do comitê:', 'nome');
        o2_textarea_form('Descrição do comitê:', 'descricao');
      });
    });
  });
});

/* Certificações */
$config = array(
  'title' => 'Certificações',
  'file' => 'page-certificacoes.php',
  'remove_supports' => ['editor']
);
o2_metabox($config, function () {
  o2_tab(function () {
    o2_tab_create('Banner', function () {
      o2_image_form('Imagem de fundo do banner:', 'imagem-banner');
      o2_note('Tamanho mínimo recomendado: 1366x418px');
    });
    o2_tab_create('Certificações', function () {
      o2_repeat_accordion('Certificações', 'certificacoes', 1, function () {
        o2_repeat_set_label('nome', 'text');
        o2_text_form('Nome da certificação', 'nome');
        o2_editorwp_form('Descrição da certificação:', 'descricao');
        o2_image_form('Imagem da certificação:', 'imagem');
        o2_file_form('Arquivo:', 'arquivo');
        o2_text_form('Link de acesso:', 'link');
      });
    });
  });
});

/* Relatórios Anuais */
$config = array(
  'title' => 'Relatórios Anuais',
  'file' => 'page-relatorios-anuais.php',
  'remove_supports' => ['editor']
);
o2_metabox($config, function () {
  o2_tab(function () {
    o2_tab_create('Banner', function () {
      o2_image_form('Imagem de fundo do banner:', 'imagem-banner');
      o2_note('Tamanho mínimo recomendado: 1366x418px.');
    });
    o2_tab_create('Igualdade Salarial', function () {
      o2_text_form('Título da seção:', 'titulo-igualdade-salarial');
      o2_text_form('Nome do Filter:', 'filtro-igualdade');
      o2_textarea_form('Subtítulo da seção:', 'subtitulo-igualdade-salarial');
      o2_editorwp_form('Conteúdo da seção:', 'conteudo-igualdade-salarial');
    });
    o2_tab_create('Sustentabilidade', function () {
      o2_text_form('Título da seção:', 'titulo-relatorio-sustentabilidade');
      o2_text_form('Nome do Filter:', 'filtro-sustentabilidade');
      o2_repeat_accordion('Relatórios', 'relatorios', 1, function () {
        o2_repeat_set_label('titulo', 'text');
        o2_text_form('Título do relatório:', 'titulo');
        o2_textarea_form('Descrição do relatório:', 'descricao');
        o2_image_form('Imagem do relatório:', 'imagem');
        o2_note('Tamanho mínimo recomendado: 539x292px');
        o2_file_form('Arquivo do relatório:', 'arquivo');
      });
    });
    o2_tab_create('Redução de Gases de Efeito Estufa', function () {
      o2_text_form('Título da seção:', 'titulo-reducao-emissao-estufa');
      o2_text_form('Nome do Filter:', 'filtro-reducao');
      o2_repeat_accordion_draggable('Inventários', 'inventarios', 1, function () {
        o2_repeat_set_label('titulo', 'text');
        o2_text_form('Título do inventário:', 'titulo');
        o2_textarea_form('Texto do inventário:', 'texto');
        o2_repeat_accordion('Databooks', 'databooks', 1, function () {
          o2_repeat_set_label('titulo', 'text');
          o2_text_form('Título do databook:', 'titulo');
          o2_text_form('Data:', 'data');
          o2_file_form('Arquivo do relatório:', 'arquivo');
        });
      });
    });
  });
});
